> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Get an existing account



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /accounts/{id}
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /accounts/{id}:
    get:
      tags:
        - Accounts
      summary: Get account
      description: Get an existing account
      operationId: getAccount
      parameters:
        - schema:
            $ref: '#/components/schemas/AccountId'
          required: true
          description: A valid Account ID
          name: id
          in: path
      responses:
        '200':
          description: The retrieved account object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    AccountId:
      type: string
      pattern: ^acct_[a-zA-Z0-9]{27}$
      description: A valid Account ID
      example: acct_2ofTA5mz0T91pBmD3tMTeLE7T4X
    GetAccountResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountId'
        balances:
          type: object
          properties:
            available:
              type: array
              items:
                $ref: '#/components/schemas/AssetAmount'
          required:
            - available
          additionalProperties: false
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - balances
        - createdAt
      example:
        id: acct_2fvietuCNSu8unMNLsEGBrDTVFn
        balances:
          available:
            - asset: USD
              amount: '150.320000'
            - asset: USDC
              network: ethereum
              amount: '90.000000'
            - asset: USDT
              network: ethereum
              amount: '0'
            - asset: USDT
              network: tron
              amount: '150.320000'
        createdAt: '2024-10-27T00:00:00.000Z'
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    AssetAmount:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        amount:
          $ref: '#/components/schemas/NonNegativeInteger'
        country:
          type: string
      required:
        - asset
        - amount
      additionalProperties: false
    AssetCode:
      type: string
      enum:
        - USD
        - MXN
        - BRL
        - COP
        - EUR
        - NGN
        - ARS
        - GBP
        - AED
        - SGD
        - HKD
        - USDT
        - USDC
        - RLUSD
      description: >-
        The asset identifier. Either an ISO-4217 currency code or a stablecoin
        token.
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
    NonNegativeInteger:
      type: string
      pattern: ^[0-9]*$
      description: A non-negative integer amount
      example: '0'
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````